param(
	$BinPath = "C:\BootDrv\Aloha\BIN"
)

pushd $BinPath

ps iber* | kill
sleep 3

if (Test-Path .\Olo.AlohaIntercepts.Unregister.bat)
{
	.\Olo.AlohaIntercepts.Unregister.bat
}
$scriptDir = Split-Path -Parent $MyInvocation.MyCommand.Definition
gi $scriptDir\* -Exclude *.ps1,Olo.AlohaIntercepts.Manifest.mft | cp -Destination $BinPath
.\Olo.AlohaIntercepts.Register.bat

popd